#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""This script launch SàT backend if it's not before running command"""

import os
import sys
import dbus
import subprocess

command = "##COMMAND##"
const_INT_PREFIX = "org.salutatoi.SAT"
const_OBJ_PATH = '/org/salutatoi/SAT/bridge'


try:
    sessions_bus = dbus.SessionBus()
    db_object = sessions_bus.get_object(const_INT_PREFIX,
                                        const_OBJ_PATH)
except dbus.exceptions.DBusException as e:
    if e._dbus_error_name != 'org.freedesktop.DBus.Error.ServiceUnknown':
        raise e
    # backend not found, we need to launch it
    print("Launching SàT backend")
    subprocess.check_call("sat")

os.execlp(command, command, *sys.argv[1:])
